/*

  Testing HD Serial No functions
   
  DB03
   
*/

#include <hmg.ch>
#define NTrim( n ) LTRIM( STR( n ) )

PROCEDURE Main()

   
   LOCAL aHDSNs :=  { { "VOL command (C:)",    681244258,             },;
                      { "VOL command (D:)",    3256335931,            },;
                      { "VolSerial()",         VolSerial(),           },;
                      { "VolSerial('C:\')",    VolSerial( 'C:\' ),    },; 
                      { "HDGETSERIAL()",       HDGETSERIAL(),         },;
                      { "HDGETSERIAL('C:\')",  HDGETSERIAL( 'C:\' ),  },;
                      { "HDGETSERIAL2()",      HDGETSERIAL2(),        },;
                      { "HDGETSERIAL2('C:\')", HDGETSERIAL2( 'C:\' ), } }
              
   AEVAL( aHDSNs, { | a1, i1 | aHDSNs[ i1, 3 ] := NTOC( a1[ 2 ], 16 ) } )
                     
	DEFINE WINDOW frmCompHDFs ;
		AT 0,0 ;
		WIDTH 520 ;
		HEIGHT 260 ;
		TITLE 'Test / Compare Hard Disk Serial Number Functions ( Current Drive : ' +  HB_CurDrive() + ' )'  ;
		MAIN

      ON KEY ESCAPE ACTION ThisWindow.Release       
      
		@ 20, 20 GRID grdCompFuncs ;
			WIDTH 450 ;
			HEIGHT 200 ;
			HEADERS { 'Function','Result ( Dec )','Result ( Hex )' } ;
			WIDTHS { 150, 150, 150 };
			ITEMS aHDSNs ;
			VALUE 1 ;
         COLUMNCONTROLS { NIL, {'TEXTBOX','NUMERIC','999,999,999,999'}, NIL } ;
			TOOLTIP 'HD Serial NUmber Functions and Results'  // NOLINES

	END WINDOW // frmDispVers

	frmCompHDFs.Center

	frmCompHDFs.Activate

RETURN // Main()  

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.

